# RadioLib: LoRaWANJoinEvent_t Struct Reference

LoRaWANJoinEvent_t Struct Reference

Structure to save extra information about activation event. More...

`#include <LoRaWAN.h>`

## Public Attributes

bool | newSession = false
| Whether a new session was started.
uint16_t | devNonce = 0
| The transmitted Join-Request DevNonce value.
uint32_t | joinNonce = 0
| The received Join-Request JoinNonce value.

## Detailed Description

Structure to save extra information about activation event.

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h